Package org.apache.ignite.binary

## Interface BinaryField

All Known Subinterfaces:
  `BinaryFieldEx`

All Known Implementing Classes:
  `BinaryFieldImpl`

    public interface BinaryField

Binary object field. Can be used to speed object field lookup.

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `exists​(BinaryObject obj)` Check whether field exists in the object.
`String` `name()` Get field's name.
`<T> T` `value​(BinaryObject obj)` Get field's value from the given object.

### Method Detail

#### name

    String name()

Get field's name.

Returns:
  Name.

#### exists

    boolean exists​(BinaryObject obj)

Check whether field exists in the object.

Parameters:
  `obj` - Object.
Returns:
  `True` if exists.

#### value

    <T> T value​(BinaryObject obj)

Get field's value from the given object.

Type Parameters:
  `T` - Type of the field value.
Parameters:
  `obj` - Object.
Returns:
  Value.